# Calendar slot duration

This module extends the functionality of backend calendars to support custom slot durations and to allow you to provide more specific UX regarding event duration and snapping.

Table of contents

- Configuration
- Usage
- Known issues / Roadmap
- Bug Tracker
- Credits
  - Authors
  - Maintainers

# Configuration

This documentation is for developers.

If you want to configure your calendar view’s snap duration, make sure that you action includes a context similar to this (example is the default value):

    {"calendar_slot_duration": "00:30:00"}

It can be added in actions defined on python or as `ir.actions.act_window` records.

# Usage

To use this module, you need to install some other addon that uses it, as it doesn’t provide any end-user functionality.

# Known issues / Roadmap

- Drop module if/when https://github.com/odoo/odoo/pull/66739 is merged.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Tecnativa

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainer:

This module is part of the OCA/web project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.